pydo.kubernetes.get_cluster_lint_results()

Generated on 4 Jun 2026 from pydo version v0.35.0

Usage

client.kubernetes.get_cluster_lint_results(
    cluster_id="bd5f5959-5e1e-4205-a714-a914373942af",
    run_id=None,
)
Returns JSONRaises HttpResponseError

Description

To request clusterlint diagnostics for your cluster, send a GET request to /v2/kubernetes/clusters/{cluster_id}/clusterlint. If the run_id query parameter is provided, then the diagnostics for the specific run is fetched. By default, the latest results are shown.

To find out how to address clusterlint feedback, please refer to the clusterlint check documentation.

Parameters

cluster_id string required

A unique ID that can be used to reference a Kubernetes cluster.

Min: 1

run_id string optional

Specifies the clusterlint run whose results will be retrieved.

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

resp = client.kubernetes.get_cluster_lint_results(cluster_id="da8fda8")

Response Example

Show Response Example
{
  "run_id": "50c2f44c-011d-493e-aee5-361a4a0d1844",
  "requested_at": "2019-10-30T05:34:07Z",
  "completed_at": "2019-10-30T05:34:11Z",
  "diagnostics": [
    {
      "check_name": "unused-config-map",
      "severity": "warning",
      "message": "Unused config map"
    }
  ]
}

More Information

See /v2/kubernetes/clusters/{cluster_id}/clusterlint in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.